org.apache.xmlbeans.impl.xb.xsdschema

## Interface IncludeDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    IncludeDocumentImpl

      public interface IncludeDocument
      extends XmlObject

  A document containing one include(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IncludeDocument.Include` An XML include(@http://www.w3.org/2001/XMLSchema).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<IncludeDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IncludeDocument.Include` | `addNewInclude()` Appends and returns a new empty "include" element
    `IncludeDocument.Include` | `getInclude()` Gets the "include" element
    `void` | `setInclude(IncludeDocument.Include include)` Sets the "include" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<IncludeDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getInclude

          IncludeDocument.Include getInclude()

      Gets the "include" element

    - #### setInclude

          void setInclude(IncludeDocument.Include include)

      Sets the "include" element

    - #### addNewInclude

          IncludeDocument.Include addNewInclude()

      Appends and returns a new empty "include" element